//////////////////////////////////////////////////
/////////Renders a View for Refraction////////////
//////////////////////////////////////////////////
////03.05.2008////////////////by Nils Daumann/////
/////////////slindev.wordpress.com////////////////
//////////////////////////////////////////////////
#define OS_Shared_Refract

VIEW* OS_Shared_Refract_view;
BMAP* OS_Shared_Refract_bmap;


//creates and handles the refraction view
void OS_Shared_RefractView_init(var SizeX, var SizeY)
{
	if(OS_Shared_Refract_view == NULL)
	{
		OS_Shared_Refract_view = view_create(-1);
	}
	if(OS_Shared_Refract_bmap == NULL)
	{
		OS_Shared_Refract_bmap = bmap_createblack(SizeX,SizeY,24);
	}
	
	OS_Shared_Refract_view.size_x = bmap_width(OS_Shared_Refract_bmap);
	OS_Shared_Refract_view.size_y = bmap_width(OS_Shared_Refract_bmap);
	OS_Shared_Refract_view.aspect = -screen_size.x/screen_size.y;
	
	set(OS_Shared_Refract_view,VISIBLE);
	
	OS_Shared_Refract_view.bmap = OS_Shared_Refract_bmap;
	
	proc_mode = PROC_LATE;
	
	while(is(OS_Shared_Refract_view,VISIBLE))
	{
		OS_Shared_Refract_view.fog_start = camera.fog_start;
		OS_Shared_Refract_view.fog_end = camera.fog_end;
		OS_Shared_Refract_view.clip_far = camera.clip_far;
		OS_Shared_Refract_view.arc = camera.arc;
		OS_Shared_Refract_view.ambient = camera.ambient;
		
		vec_set(OS_Shared_Refract_view.x,camera.x);
		vec_set(OS_Shared_Refract_view.pan,camera.pan);
		
		wait(1);
	}
}