//////////////////////////////////////////////////
//////////Postprocessing Main Headerfile//////////
//////////////////////////////////////////////////
////14.03.2008////////////////by Nils Daumann/////
/////////////slindev.wordpress.com////////////////
//////////////////////////////////////////////////


#include "PP_Helper.c"

#include "PP_Bloom.c"
#include "PP_DoF.c"
#include "PP_fp_DoF.c"
#include "PP_OldMovie.c"
#include "PP_Anaglyph.c"
#include "PP_Raindrops.c"
#include "PP_Blood.c"
#include "PP_HeatHaze.c"
#include "PP_fp_HeatHaze.c"
#include "PP_SoftStencils.c"
#include "PP_fp_SoftStencils.c"
#include "PP_RadialBlur.c"
#include "PP_Blur.c"
#include "PP_ColorFilter.c"
#include "PP_ColorFilterAnimate.c"
#include "PP_MotionBlur.c"


void PP_Video_Switch()
{
	#ifdef PP_fp_Shared_Depth
		PP_fp_Shared_Depth_Video_Switch();
	#endif
	
	#ifdef PP_fp_SoftStencilShadows
//		PP_fp_SoftStencilShadows_Video_Switch(camera);
	#endif
	
	#ifdef PP_fp_DoF
		PP_fp_DoF_Video_Switch(camera);
	#endif
	
	#ifdef PP_Bloom
		PP_Bloom_Video_Switch(camera);
	#endif
	
	#ifdef PP_Anaglyph
//		PP_Anaglyph_Video_Switch(camera);
	#endif
}
